wibble::Singleton< T > Class Template Reference

`#include <singleton.h>`

Collaboration diagram for wibble::Singleton< T >:
[legend]

## Classes

class | const_iterator
class | iterator

## Public Types

typedef T | value_type

## Public Member Functions

| Singleton (const T &value)
| Singleton ()
bool | empty () const
size_t | size () const
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const
iterator | insert (iterator, const value_type &v)
iterator | insert (const value_type &v)

## Protected Attributes

T | value

## Member Typedef Documentation

## value_type

template<typename T>

typedef T wibble::Singleton< T >::value_type

## Constructor & Destructor Documentation

## Singleton() [1/2]

template<typename T>

wibble::Singleton< T >::Singleton | ( | const T & | value | ) |

inline explicit

## Singleton() [2/2]

template<typename T>

wibble::Singleton< T >::Singleton | ( |  | ) |

inline

## Member Function Documentation

## begin() [1/2]

template<typename T>

iterator wibble::Singleton< T >::begin | ( |  | ) |

inline

References wibble::iterator().

Referenced by wibble::Singleton< T >::insert(), wibble::operators::operator-(), wibble::operators::operator-=(), and wibble::operators::operator|().

## begin() [2/2]

template<typename T>

const_iterator wibble::Singleton< T >::begin | ( |  | ) | const

inline

References wibble::Singleton< T >::const_iterator::const_iterator().

## empty()

template<typename T>

bool wibble::Singleton< T >::empty | ( |  | ) | const

inline

## end() [1/2]

template<typename T>

iterator wibble::Singleton< T >::end | ( |  | ) |

inline

References wibble::iterator().

## end() [2/2]

template<typename T>

const_iterator wibble::Singleton< T >::end | ( |  | ) | const

inline

References wibble::Singleton< T >::const_iterator::const_iterator().

## insert() [1/2]

template<typename T>

iterator wibble::Singleton< T >::insert | ( | iterator | ,
|  | const value_type & | v
| ) |  |

inline

References wibble::Singleton< T >::begin().

## insert() [2/2]

template<typename T>

iterator wibble::Singleton< T >::insert | ( | const value_type & | v | ) |

inline

References wibble::Singleton< T >::begin().

## size()

template<typename T>

size_t wibble::Singleton< T >::size | ( |  | ) | const

inline

## Member Data Documentation

## value

template<typename T>

T wibble::Singleton< T >::value

protected

The documentation for this class was generated from the following file:

- singleton.h